Bug 241916 - SELinux targeted policy prevents pppd from updating /etc/resolv.conf
Summary: SELinux targeted policy prevents pppd from updating /etc/resolv.conf
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
(Show other bugs)
Version: 6
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-31 17:23 UTC by Karl Hastings
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-22 14:13:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Karl Hastings 2007-05-31 17:23:11 UTC
Description of problem:
targeted policy does not allow pppd to update /etc/resolv.conf

Actual results:
SELinux prevents pppd from updating /etc/resolv.conf

Expected results:
pppd updates /etc/resolv.conf

Additional info:
Source Context:  system_u:system_r:pppd_t
Target Context:  user_u:object_r:pppd_etc_t
Target Objects:  resolv.conf [ file ]
Affected RPM Packages:  ppp-2.4.4-1.fc6 [application]
Policy RPM:  selinux-policy-2.4.6-69.fc6
Selinux Enabled:  True
Policy Type:  targeted
MLS Enabled:  True
Enforcing Mode:  Permissive
Plugin Name:  plugins.disable_trans
Host Name:  kasmith
Platform:  Linux kasmith 2.6.20-1.2948.fc6 #1 SMP Fri Apr 27 19:48:40 EDT 2007
i686 i686
Alert Count:  106
Line Numbers:   

Raw Audit Messages :avc: denied { write } for comm="pppd" dev=dm-4 egid=0 euid=0
exe="/usr/sbin/pppd" exit=11 fsgid=0 fsuid=0 gid=0 items=0 name="resolv.conf"
pid=3604 scontext=system_u:system_r:pppd_t:s0 sgid=0
subj=system_u:system_r:pppd_t:s0 suid=0 tclass=file
tcontext=user_u:object_r:pppd_etc_t:s0 tty=ttyUSB2 uid=0

Comment 1 Daniel Walsh 2007-06-01 18:06:07 UTC
Fixed in selinux-policy-2.4.6-74.fc6

Comment 2 Daniel Walsh 2007-08-22 14:13:49 UTC
Fixed in current release


Note You need to log in before you can comment on or make changes to this bug.